
Redmine - Feature #14599

Support 16-bit depth PNG images in PDF export

2013-08-01 16:47 - Pavel Samokha

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed   

Description

Tried on latest version, RMagick installed, image attached to WIKI page, added as image.png  and shown in page, but no image

when exported to pdf.

According to #3261 it must be fixed for issues export to pdf, but not working in WIKI for me

Related issues:

Related to Redmine - Feature #12447: Support for PNG with alpha channel in pd... Closed

History

#1 - 2013-08-02 02:03 - Toshi MARUYAMA

- Description updated

#2 - 2013-08-05 11:16 - Stanislav German-Evtushenko

Almost the same to me. I can see some images in pdf but not all of them:

$ file *

img1.png: PNG image, 26 x 25, 8-bit/color RGB, non-interlaced

img2.png: PNG image, 24 x 24, 8-bit/color RGBA, non-interlaced

img3.png: PNG image, 24 x 24, 8-bit/color RGBA, non-interlaced

img4.png: PNG image, 833 x 945, 8-bit/color RGBA, non-interlaced

img5.png: PNG image, 47 x 47, 8-bit colormap, non-interlaced

img6.png: PNG image, 24 x 24, 8-bit/color RGBA, non-interlaced

Only img1.png and img5.png are shown in pdf but others are not.

#3 - 2013-08-05 11:19 - Stanislav German-Evtushenko

Environment:

  Redmine version                2.3.2.stable.12078

  Ruby version                   1.9.3-p385 (2013-02-06) [x86_64-linux]

  Rails version                  3.2.13

  Environment                    production

  Database adapter               SQLite

Redmine plugins:

  redmine_bbb                    0.1.2

  redmine_people                 0.1.6

#4 - 2013-08-06 00:11 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Stanislav German-Evtushenko wrote:

Almost the same to me. I can see some images in pdf but not all of them:

[...]

Only img1.png and img5.png are shown in pdf but others are not.

 Thanks for the info. It shows that this issue duplicates #12447.
#5 - 2013-08-06 00:11 - Mischa The Evil

- Is duplicate of Feature #12447: Support for PNG with alpha channel in pdf export added

#6 - 2013-08-06 03:08 - Mischa The Evil

- Status changed from Closed to Reopened

Sorry. I did not noticed the initial author of this issue.

Pavel, can you please check if the images you are using are indeed PNG's with alpha channel and report your results here?

#7 - 2013-08-06 03:09 - Mischa The Evil

- Status changed from Reopened to Needs feedback

#8 - 2013-08-06 13:09 - Pavel Samokha

Tried pngs without alpha channel (got from here http://www.fnordware.com/superpng/samples.html)  - the same result - no images in PDF export.

#9 - 2013-08-06 17:51 - Jun NAITOH

I tried note-8 URL Images.

The following error occurred.

pdf: Image: error: TCPDF error: Alpha channel not supported: /opt/Redmine/redmine.d/redmine-2.2.3/files/130805

004924_pngtest8rgba.png

pdf: Image: error: TCPDF error: 16-bit depth not supported: /opt/Redmine/redmine.d/redmine-2.2.3/files/1308050

04924_pngtest16rgba.png

pdf: Image: error: TCPDF error: 16-bit depth not supported: /opt/Redmine/redmine.d/redmine-2.2.3/files/1308050

04924_pnggradHDrgba.png

pdf: Image: error: TCPDF error: 16-bit depth not supported: /opt/Redmine/redmine.d/redmine-2.2.3/files/1308050

04924_pnggrad16rgb.png

pdf: Image: error: TCPDF error: 16-bit depth not supported: /opt/Redmine/redmine.d/redmine-2.2.3/files/1308050

05029_pnggrad16rgba.png

 Sorry, RFPDF (TCPDF) library is not supporting 16-bit depth PNG image.

#10 - 2013-08-07 02:13 - Toshi MARUYAMA

- Subject changed from Wiki export to PDF does not contains images to Wiki export to PDF does not contains 16-bit depth PNG images

- Status changed from Needs feedback to New

- Resolution deleted (Duplicate)

#11 - 2013-08-07 02:27 - Toshi MARUYAMA

- Subject changed from Wiki export to PDF does not contains 16-bit depth PNG images to PDF does not contains 16-bit depth PNG images

#12 - 2013-08-07 05:18 - Mischa The Evil

- Is duplicate of deleted (Feature #12447: Support for PNG with alpha channel in pdf export)

#13 - 2013-08-07 13:11 - Etienne Massip

- Related to Feature #12447: Support for PNG with alpha channel in pdf export added

#14 - 2013-08-10 20:10 - Etienne Massip

- Tracker changed from Defect to Feature

- Subject changed from PDF does not contains 16-bit depth PNG images to Support 16-bit depth PNG images in PDF export

#15 - 2014-10-18 13:08 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 2.6.0

- Resolution set to Fixed

Fixed by #17570.
